EXPR(1)

NAMN
expr — beräkna uttryck

SYNOPSIS
expr UTTRYCK
expr FLAGGA

BESKRIVNING

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Skriv ut värdet på UTTRYCK till standard ut. En tom rad nedan separerar grupper med ökande prioritetsordning. UTTRYCK kan vara:

ARG1 | ARG2
    ARG1 om det varken är null eller 0, annars ARG2.

ARG1 & ARG2
    ARG1 om inget av argumenten är null eller 0, annars 0.

ARG1 < ARG2
    ARG1 är mindre än ARG2.

ARG1 <= ARG2
    ARG1 är mindre än eller lika med ARG2.

ARG1 = ARG2
    ARG1 är lika med ARG2.

ARG1 != ARG2
    ARG1 är inte lika med ARG2.

ARG1 >= ARG2
    ARG1 är större än eller lika med ARG2.

ARG1 > ARG2
    ARG1 är större än ARG2.

ARG1 + ARG2
    Aritmetisk summa av ARG1 och ARG2.

ARG1 - ARG2
    Aritmetisk differens mellan ARG1 och ARG2.

ARG1 * ARG2
    Aritmetisk produkt av ARG1 och ARG2.

ARG1 / ARG2
    Aritmetisk kvot av ARG1 dividerat med ARG2.

ARG1 % ARG2
    Aritmetisk rest av ARG1 dividerat med ARG2.

STRÄNG : REGUTTR
    Förankrad mönstersökning efter REGUTTR i STRÄNG.

match STRÄNG REGUTTR
    Samma som STRÄNG : REGUTTR.

substr STRÄNG POS LÄNGD
    Delsträng av STRÄNG, POS räknas från 1.

index STRÄNG BOKST
    Index i STRÄNG där BOKST påträffats, eller 0.

length STRÄNG
    Längden av STRÄNG.

+ ELEMENT
    Tolka ELEMENT som en sträng, även om den är ett nyckelord som ”match” eller en operator som ”/”

( UTTRYCK )
    Värdet av UTTRYCK.

Var medveten om att många operatorer måste skyddas eller citeras för skal. Jämförelser är aritmetiska om båda ARG är tal, annars lexikografiska. Mönsterträffar returnerar strängen som stämmer mellan \( och \), eller tom sträng; om \( och \) inte används returnerar de antalet tecken som överensstämmer eller 0.

Slutstatus är 0 om UTTRYCK varken är tomt eller 0, 1 om UTTRYCK är tomt eller 0, 2 om UTTRYCK är syntaktiskt felaktigt och 3 om ett fel uppstod.

UPPHOVSMAN
Skrivet av Mike Parker, James Youngman och Paul Eggert.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/expr>
eller tillgängligt lokalt via: info '(coreutils) expr invocation'

Paketerat av Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.